%define enable_tests	1

Name:		feh
Version:	2.18.3
Release:	%mkrel 1
Summary:	Image viewer at heart, though it does other cool stuff
License:	MIT
Group:		Graphics/Viewers
URL:		http://feh.finalrewind.org/
Source0:	http://feh.finalrewind.org/%{name}-%{version}.tar.bz2
Source2:	http://feh.finalrewind.org/%{name}-%{version}.tar.bz2.asc
BuildRequires:	imlib2-devel
BuildRequires:	libxt-devel
BuildRequires:	libxinerama-devel
BuildRequires:	giblib-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	curl-devel

%if %{enable_tests}
BuildRequires:	perl-devel
BuildRequires:	perl-Test-Command
%endif

%description
Feh is an image viewer, but it does a whole lot of other cool stuff as
well. There are simply too many to mention them here so please check the
docs/homepage.

%prep
%setup -q

#fix doc rights
chmod 644 AUTHORS ChangeLog README.md TODO examples/*
chmod 755 examples



%build
%setup_compile_flags
%make PREFIX=%{_prefix}

%install
%makeinstall_std PREFIX=%{_prefix}

# let files section handle docs
%__rm -rf %{buildroot}%{_docdir}/%{name}

%if %{enable_tests}
%check
%make test
%endif

%files
%doc AUTHORS ChangeLog README.md TODO examples
%{_bindir}/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue May 02 2017 eatdirt <eatdirt> 2.18.3-1.mga5
+ Revision: 1098511
- Update to 2.18.3 for security fix (#20775)

* Wed Oct 15 2014 umeabot <umeabot> 2.12-3.mga5
+ Revision: 745754
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.12-2.mga5
+ Revision: 679121
- Mageia 5 Mass Rebuild

* Fri May 23 2014 eatdirt <eatdirt> 2.12-1.mga5
+ Revision: 625106
- Upgrade to version 2.12

* Thu Mar 27 2014 eatdirt <eatdirt> 2.10-1.mga5
+ Revision: 609047
- Upgrade to version 2.10

* Sat Oct 19 2013 umeabot <umeabot> 2.9.2-3.mga4
+ Revision: 526067
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 2.9.2-2.mga4
+ Revision: 435842
- rebuild for new libpng

* Mon May 27 2013 wally <wally> 2.9.2-1.mga4
+ Revision: 428894
- rebuild to fix release

* Mon May 27 2013 wally <wally> 2.9.2-0.1.mga4
+ Revision: 428869
- new version 2.9.2
- use icon and .desktop file from upstream

* Fri Jan 11 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 350090
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 barjac <barjac> 2.5-2.mga3
+ Revision: 337674
- update group

* Mon Jun 11 2012 dams <dams> 2.5-1.mga3
+ Revision: 259794
- new version 2.5

* Sat Apr 07 2012 wally <wally> 2.2-2.mga2
+ Revision: 229527
- fix rights of doc files (mga#3330)

* Wed Jan 11 2012 kamil <kamil> 2.2-1.mga2
+ Revision: 194891
- new version
- include signature of the source
- clean spec

* Tue Sep 13 2011 fwang <fwang> 1.16.1-1.mga2
+ Revision: 142919
- new version 1.16.1

* Sun Jul 10 2011 wally <wally> 1.14.2-1.mga2
+ Revision: 121742
- new version 1.14.2

* Sun Mar 20 2011 wally <wally> 1.12-2.mga1
+ Revision: 74908
- fix doc files handling
- more .spec cleaning

* Sun Mar 20 2011 wally <wally> 1.12-1.mga1
+ Revision: 74864
- new version 1.12
- fix license
- drop old mdv scriptlets
- add curl-devel BR
- enable tests
- clean .spec a bit
- imported package feh

